%define upstream_name    Dist-Zilla-BeLike-CSJEWELL
%define upstream_version 0.901

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Build a modern dist like CSJEWELL does it
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(Dist::Zilla::Plugin::Mercurial)
BuildRequires: perl(Dist::Zilla::Plugin::Twitter)
BuildRequires: perl(Email::Address)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Moose)
BuildRequires: perl(Net::FTP)
BuildRequires: perl(Net::Netrc)
BuildRequires: perl(PPIx::Regexp)
BuildRequires: perl(PPIx::Utilities::Statement)
BuildRequires: perl(Parse::CPAN::Meta)
BuildRequires: perl(Perl::Critic)
BuildRequires: perl(Perl::Critic::More)
BuildRequires: perl(Perl::Critic::Utils::Constants)
BuildRequires: perl(Perl::MinimumVersion)
BuildRequires: perl(Perl::Tidy)
BuildRequires: perl(Pod::Coverage)
BuildRequires: perl(Pod::Coverage::Moose)
BuildRequires: perl(Pod::Readme)
BuildRequires: perl(Pod::Simple)
BuildRequires: perl(Pod::Spell::CommonMistakes)
BuildRequires: perl(Software::License)
BuildRequires: perl(Test::CPAN::Meta)
BuildRequires: perl(Test::CheckChanges)
BuildRequires: perl(Test::DistManifest)
BuildRequires: perl(Test::Fixme)
BuildRequires: perl(Test::HasVersion)
BuildRequires: perl(Test::MinimumVersion)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Perl::Critic)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage)
BuildRequires: perl(Test::Pod::Spelling::CommonMistakes)
BuildRequires: perl(Test::Portability::Files)
BuildRequires: perl(Test::Prereq::Build)
BuildRequires: perl(Test::UseAllModules)
BuildRequires: perl(autodie)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch


%description
This sets up defaults for dzil new to create a dist like CSJEWELL does
it, including a dist.ini that does the release steps that CSJEWELL
requires.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.901.0-11.mga10
+ Revision: 2198271
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.901.0-10.mga9
+ Revision: 1803048
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.901.0-9.mga8
+ Revision: 1494073
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.901.0-8.mga7
+ Revision: 1267288
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.901.0-7.mga6
+ Revision: 1025810
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.901.0-6.mga6
+ Revision: 948234
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.901.0-5.mga5
+ Revision: 746355
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.901.0-3.mga4
+ Revision: 510904
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.901.0-2.mga3
+ Revision: 366030
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.901.0-1.mga1
+ Revision: 41063
- mageia rebuild
- imported package perl-Dist-Zilla-BeLike-CSJEWELL

